com.fasterxml.jackson.dataformat.avro

## Class AvroModule

- java.lang.Object
- - com.fasterxml.jackson.databind.Module
  - - com.fasterxml.jackson.databind.module.SimpleModule
    - - com.fasterxml.jackson.dataformat.avro.AvroModule

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Serializable

      public class AvroModule
      extends com.fasterxml.jackson.databind.module.SimpleModule

  Module that adds support for handling datatypes specific to the standard Java Avro library; most specifically `Schema`
  Since:
    2.5
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AvroModule.SchemaSerializer`

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.Module

      `com.fasterxml.jackson.databind.Module.SetupContext`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.apache.avro.Schema` | `schema` Deprecated. since 2.7

    - ### Fields inherited from class com.fasterxml.jackson.databind.module.SimpleModule

      `_abstractTypes, _deserializerModifier, _deserializers, _keyDeserializers, _keySerializers, _mixins, _name, _namingStrategy, _serializerModifier, _serializers, _subtypes, _valueInstantiators, _version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroModule()`

  - ### Method Summary

    - ### Methods inherited from class com.fasterxml.jackson.databind.module.SimpleModule

      `addAbstractTypeMapping, addDeserializer, addKeyDeserializer, addKeySerializer, addSerializer, addSerializer, addValueInstantiator, getModuleName, getTypeId, registerSubtypes, registerSubtypes, setAbstractTypes, setDeserializerModifier, setDeserializers, setKeyDeserializers, setKeySerializers, setMixInAnnotation, setNamingStrategy, setSerializerModifier, setSerializers, setupModule, setValueInstantiators, version`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### schema

          @Deprecated
          public org.apache.avro.Schema schema

      Deprecated. since 2.7

  - ### Constructor Detail

    - #### AvroModule

          public AvroModule()

Copyright © 2016 FasterXML. All rights reserved.